org.keycloak.services.managers

## Class AccessCode

- java.lang.Object
- - org.keycloak.services.managers.AccessCode

-     public class AccessCode
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessCode(RealmModel realm, ClientSessionModel clientSession)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel.Action` | `getAction()`
    `ClientModel` | `getClient()`
    `String` | `getCode()`
    `String` | `getCodeId()`
    `String` | `getRedirectUri()`
    `Set<RoleModel>` | `getRequestedRoles()`
    `String` | `getSessionState()`
    `String` | `getState()`
    `UserModel` | `getUser()`
    `boolean` | `isValid(ClientSessionModel.Action requestedAction)`
    `boolean` | `isValid(UserModel.RequiredAction requiredAction)`
    `static AccessCode` | `parse(String code, KeycloakSession session, RealmModel realm)`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setRequiredAction(UserModel.RequiredAction requiredAction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessCode

          public AccessCode(RealmModel realm,
                    ClientSessionModel clientSession)

  - ### Method Detail

    - #### parse

          public static AccessCode parse(String code,
                         KeycloakSession session,
                         RealmModel realm)

    - #### getCodeId

          public String getCodeId()

    - #### getUser

          public UserModel getUser()

    - #### getSessionState

          public String getSessionState()

    - #### isValid

          public boolean isValid(UserModel.RequiredAction requiredAction)

    - #### isValid

          public boolean isValid(ClientSessionModel.Action requestedAction)

    - #### getRequestedRoles

          public Set<RoleModel> getRequestedRoles()

    - #### getClient

          public ClientModel getClient()

    - #### getState

          public String getState()

    - #### getRedirectUri

          public String getRedirectUri()

    - #### getAction

          public ClientSessionModel.Action getAction()

    - #### setAction

          public void setAction(ClientSessionModel.Action action)

    - #### setRequiredAction

          public void setRequiredAction(UserModel.RequiredAction requiredAction)

    - #### getCode

          public String getCode()

Copyright © 2014. All Rights Reserved.